# Uses of Interface
org.eclipse.jface.text.quickassist.IQuickAssistAssistant

Packages that use IQuickAssistAssistant
Package
Description
org.eclipse.jface.text.quickassist
This package provides the quick assist assistant add-on for an `ISourceViewer`.
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.

## Uses of IQuickAssistAssistant in org.eclipse.jface.text.quickassist

Classes in org.eclipse.jface.text.quickassist that implement IQuickAssistAssistant
Modifier and Type
Class
Description
`class`
`QuickAssistAssistant`
Default implementation of `IQuickAssistAssistant`.

## Uses of IQuickAssistAssistant in org.eclipse.jface.text.source

Fields in org.eclipse.jface.text.source declared as IQuickAssistAssistant
Modifier and Type
Field
Description
`protected IQuickAssistAssistant`
SourceViewer.`fQuickAssistAssistant`
This viewer's quick assist assistant.
Methods in org.eclipse.jface.text.source that return IQuickAssistAssistant
Modifier and Type
Method
Description
`IQuickAssistAssistant`
ISourceViewerExtension3.`getQuickAssistAssistant()`
Returns this viewers quick assist assistant.
`IQuickAssistAssistant`
SourceViewer.`getQuickAssistAssistant()`
`IQuickAssistAssistant`
SourceViewerConfiguration.`getQuickAssistAssistant(ISourceViewer sourceViewer)`
Returns the quick assist assistant ready to be used with the given source viewer.
Methods in org.eclipse.jface.text.source with parameters of type IQuickAssistAssistant
Modifier and Type
Method
Description
`void`
IAnnotationAccessExtension2.`setQuickAssistAssistant(IQuickAssistAssistant assistant)`
Provides this annotation access with a quick assist assistant that is used to decide whether the quick fix image should be shown.

## Uses of IQuickAssistAssistant in org.eclipse.ui.editors.text

Methods in org.eclipse.ui.editors.text that return IQuickAssistAssistant
Modifier and Type
Method
Description
`IQuickAssistAssistant`
TextSourceViewerConfiguration.`getQuickAssistAssistant(ISourceViewer sourceViewer)`

## Uses of IQuickAssistAssistant in org.eclipse.ui.texteditor

Methods in org.eclipse.ui.texteditor with parameters of type IQuickAssistAssistant
Modifier and Type
Method
Description
`void`
DefaultMarkerAnnotationAccess.`setQuickAssistAssistant(IQuickAssistAssistant assistant)`
Constructors in org.eclipse.ui.texteditor with parameters of type IQuickAssistAssistant
Modifier
Constructor
Description
``
`KeyBindingSupportForAssistant(IQuickAssistAssistant quickAssistAssistant)`
Creates the support for a quick assist assistant.